Want to update php 4.3.11 even more

Hi there, I have php 4.3.11 running on a box with no problems. I moved a client’s site (php nuke 7.7) to this box and suddenly I get loads of errors! I’ve downloaded a utiliy called “analyzer” and it says I should update php 4.3.11 to a newer version, but after running “yum update” nothing happens. Any help? The page is this one: http://www.clubmegane.com Thanks in advance!

Well, I’m not sure if I want to update php because i’ve read the problem could be with Zend Optimizer, as my version is Zend 1.3.0 and I’ve read it should be at least 2.5, but I can’t get yum to update nor I’m not shure if I should, just in case it collapses everything… What should I do? PD: The web is back to its original host so my client has no problems.

Well, it seems the problem is the incompatibility of php 4.3.11 with zend 1.3.0, so I want to install Zend 2.5.10, download it, run the install process and phpinfo still shows version 1.3.0. How do I update zend??? TIA!

try restarting httpd

service httpd restart

I know you have to do that when you update an apache config and php is integrated with apache. Either way it won’t hurt anything.

I’ve tried everytime, but it seems Nodeworx has one version of Zend and the system another one. Just waiting for the Chris, Socheat or anyone to confirm this and help me to upgrade.

Poooh,

I’m not sure what you mean by “nodeworx has one version and the system another one”. If you mean “The link accessed via the php-info link on web server mgmt page shows a different version” then you need to edit your /etc/php-cgi.ini file and add the zend extension there.

Chris

OK, this is what I meant. php info page shows version 1.3 of zend. Could you confirm this is the file I have to tweak: /etc/php-cgi.ini? Thanks again! PS: Will I not bug anything up??? I’m so frightened of messing the whole server up…

To change what the NodeWorx PHP-INFO states you need to edit /etc/php-cgi.ini and copy the pertinent parts of the /etc/php.ini that load zend to php-cgi-ini. NodeWorx uses the /usr/bin/php binary to show the phpinfo page so it may vary slightly from the SAPI/apache version of the phpinfo.

Chris

Mmmm…tried that and I don’t have a /etc/php-cgi.ini file! Is this possible???

It’s obviously possible :). Is there a /etc/php-cli.ini?

Chris

Yes, there is an /etc/php-cli.ini Should I modify this one?

Yep, give it a shot.

Chris

poohbearOK, I gave it a shot and 2 things happened:

  1. Pages load faster (not sure how much, but faster).
  2. php-info still shows this: “This program makes use of the Zend Scripting Language Engine: Zend Engine v1.3.0, Copyright © 1998-2004 Zend Technologies”
    Pages loading faster means I have the correct version although it doesn’t show in php-info?
  1. Pages load faster (not shure how much, but faster).

The php-cli has nothing to do with web pages Poooh so not sure how this is possible.

  1. php-info still shows this: “This program makes use of the Zend Scripting Language Engine: Zend Engine v1.3.0, Copyright © 1998-2004 Zend Technologies”

At the command line, do this:

php -v

And paste the output.

Chirs

HI again:

  1. Pages load faster (not shure how much, but faster).

Exactly, I think it is more subjective than objective.
php-v gives this:

Failed loading /usr/local/Zend/lib/ZendExtensionManager.so: /usr/local/Zend/lib/ZendExtensionManager.so: cannot open shared object file: No such file or directory
PHP 4.3.11 (cgi) (built: Sep 27 2005 10:39:25)
Copyright © 1997-2004 The PHP Group
Zend Engine v1.3.0, Copyright © 1998-2004 Zend Technologies

And after checking, the file is there and the folder also.

ls /usr/local/Zend/lib/ZendExtensionManager.so

/usr/local/Zend/lib/ZendExtensionManager.so

Why could it not be loading?
Regards!

  • it’s the wrong version for your PHP?
  • it’s got incorrect permissions?
  • some dirs in the path have incorrect permissoins?

etc etc.

I got exactly the same problem here:

[root@cp ZendOptimizer-2.6.2-linux-glibc21-i386]# php -v
Failed loading /usr/local/Zend/lib/ZendExtensionManager.so:  /usr/local/Zend/lib/ZendExtensionManager.so: cannot open shared object file: No such file or directory
PHP 4.3.11 (cgi) (built: Sep 27 2005 10:39:25)
Copyright (c) 1997-2004 The PHP Group
Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies
[root@cp ZendOptimizer-2.6.2-linux-glibc21-i386]#
[root@cp ZendOptimizer-2.6.2-linux-glibc21-i386]# ls -la /usr/local/Zend/lib/
total 40
drwxr-xr-x   4 root root  4096 Mar 15 16:29 .
drwxr-xr-x   7 root root  4096 Mar 15 16:30 ..
drwxr-xr-x  10 root root  4096 Mar 15 16:29 Optimizer-2_6_2
drwxr-xr-x   6 root root  4096 Mar 15 16:29 Optimizer_TS-2_6_2
-rwxr-xr-x   1 root root  9524 Mar 15 16:29 ZendExtensionManager.so
-rwxr-xr-x   1 root root 10132 Mar 15 16:29 ZendExtensionManager_TS.so
[root@cp ZendOptimizer-2.6.2-linux-glibc21-i386]#

I feel so stupid…

Trying to get Zend Optimizer for i386 running on a x64 machine…
Removed the changes and installed the corect version.
It’s working now.